Skip to content

ML Prep API (v1)

Download OpenAPI description
Languages
Servers
Mock server

http://{{your_prep_ip_address}}/

Authenticate

Operations

Backups

Operations

Calibration

Operations

Camera

Operations

Configuration

Operations

Credentials

Operations

Deck

Operations

Diagnostics

Operations

Enclosure

Operations

Environment

Operations

Errors

Operations

HepaUv

Operations

Instruments

Operations

Labware

Operations

LabwareCategories

Operations

LabwareSignature

Operations

Lighting

Operations

LiquidClass

Operations

Maintenance

Operations

NetworkConfiguration

Operations

Power

Operations

ProtocolRun

Operations

Protocols

Operations

ProtocolSteps

Operations

ProtocolSupport

Operations

ProtocolVerification

Operations

Repair

Operations

Report

Operations

Roles

Operations

RunData

Operations

Screenshots

Operations

ServiceSoftwareApi

Operations

Settings

Operations

SoftwareVersions

Operations

SystemReady

Operations

SystemTime

Operations

ThermalDevice

Operations

Traces

Operations

UserKba

Operations

Users

Operations

Verification

Operations

Rerun the most recently completed routine run

Request

Security
Bearer
curl -i -X PUT \
  'http://{{your_prep_ip_address}}/api/v1/verification/re-run' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Verification re-run was successfully started.

Requeue a routine with the specified index

Request

Security
Bearer
Path
indexToRequeueinteger(int32)required
curl -i -X POST \
  'http://{{your_prep_ip_address}}/api/v1/verification/workflow/requeue/{indexToRequeue}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Verification was successfully requeued.

Abort the current verification run/workflow

Request

Security
Bearer
Body
cancelAllRemainingboolean

Whether to cancel all remaining verifications in the run

curl -i -X PUT \
  'http://{{your_prep_ip_address}}/api/v1/verification/abort' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -d '{
    "cancelAllRemaining": true
  }'

Responses

Verification run/workflow was aborted successfully

VerificationResult

Operations